aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorkris <kris@FreeBSD.org>2006-09-14 13:14:19 +0800
committerkris <kris@FreeBSD.org>2006-09-14 13:14:19 +0800
commit4b750e08a1ae17ae12ca9f65939d6e9a98359e8b (patch)
tree4b9d0023854953367ee079d62e140e63bb08ee63
parent9fecfdd98598bb875db79438df92eb609709b220 (diff)
downloadfreebsd-ports-gnome-4b750e08a1ae17ae12ca9f65939d6e9a98359e8b.tar.gz
freebsd-ports-gnome-4b750e08a1ae17ae12ca9f65939d6e9a98359e8b.tar.zst
freebsd-ports-gnome-4b750e08a1ae17ae12ca9f65939d6e9a98359e8b.zip
Go back to force unmounting because not doing so was too unreliable.
-rwxr-xr-xTools/portbuild/scripts/clean-chroot4
1 files changed, 2 insertions, 2 deletions
diff --git a/Tools/portbuild/scripts/clean-chroot b/Tools/portbuild/scripts/clean-chroot
index bab491601ad2..545cd7e394d1 100755
--- a/Tools/portbuild/scripts/clean-chroot
+++ b/Tools/portbuild/scripts/clean-chroot
@@ -24,11 +24,11 @@ cleanup_mount() {
if [ -d ${chroot}${mount} ]; then
mdir=$(fstat -f ${chroot}${mount} | head -2 | tail -1 | awk '{print $5}')
if [ "${mdir}" = "MOUNT" ]; then
- umount ${chroot}${mount} || echo "Cleanup of ${chroot}${mount} failed!"
+ umount -f ${chroot}${mount} || echo "Cleanup of ${chroot}${mount} failed!"
fi
if [ "${mdir}" = "${chroot}${mount}" ]; then
kill_procs ${chroot} ${mount}
- umount ${chroot}${mount} || echo "Cleanup of ${chroot}${mount} failed!"
+ umount -f ${chroot}${mount} || echo "Cleanup of ${chroot}${mount} failed!"
fi
fi
}